From: Helmut Grohne <helmut@subdivi.de>
Subject: fix @HAVE_STDINT_H@ once stdint.h moves to /usr/include/<triplet>

Index: trunk/lib/Makefile.am
===================================================================
--- lib/Makefile.am.orig
+++ lib/Makefile.am
@@ -101,30 +101,15 @@ unistring/stdint.h : $(STDINT_H) stdint.
 	  echo '#if __GLIBC__ >= 2'; \
 	  echo '#include <stdint.h>'; \
 	  echo '#else'; \
-	  if test -f /usr/include/stdint.h; then \
-	    HAVE_STDINT_H='1'; \
-	  else \
-	    HAVE_STDINT_H='defined __MINGW32__ || defined __HAIKU__ || ((__GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ >= 5)) && !defined __NetBSD__)'; \
-	  fi; \
-	  if test -f /usr/include/inttypes.h; then \
-	    HAVE_INTTYPES_H='1'; \
-	  else \
-	    HAVE_INTTYPES_H='defined __MINGW32__ || defined __HAIKU__'; \
-	  fi; \
-	  if test -f /usr/include/sys/inttypes.h; then \
-	    HAVE_SYS_INTTYPES_H='1'; \
-	  else \
-	    HAVE_SYS_INTTYPES_H='0'; \
-	  fi; \
 	  sed_escape_ampersands='s/&/\\&/g'; \
 	  HAVE_STDINT_H=`echo "$$HAVE_STDINT_H" | sed -e "$$sed_escape_ampersands"`; \
-	  sed -e 's/@''HAVE_STDINT_H''@/'"$$HAVE_STDINT_H"'/g' \
+	  sed -e 's/@''HAVE_STDINT_H''@/$(or @HAVE_STDINT_H@,0)/g' \
 	      -e 's|@''INCLUDE_NEXT''@|include|g' \
 	      -e 's|@''PRAGMA_SYSTEM_HEADER''@||g' \
 	      -e 's|@''NEXT_STDINT_H''@|<stdint.h>|g' \
 	      -e 's/@''HAVE_SYS_TYPES_H''@/1/g' \
-	      -e 's/@''HAVE_INTTYPES_H''@/'"$$HAVE_INTTYPES_H"'/g' \
-	      -e 's/@''HAVE_SYS_INTTYPES_H''@/'"$$HAVE_SYS_INTTYPES_H"'/g' \
+	      -e 's/@''HAVE_INTTYPES_H''@/$(or @HAVE_INTTYPES_H@,0)/g' \
+	      -e 's/@''HAVE_SYS_INTTYPES_H''@/$(or @HAVE_SYS_INTTYPES_H@,0)/g' \
 	      -e 's/@''HAVE_SYS_BITYPES_H''@/0/g' \
 	      < $(srcdir)/stdint.mini.h; \
 	  echo '#endif'; \
Index: trunk/configure.ac
===================================================================
--- configure.ac.orig
+++ configure.ac
@@ -142,6 +142,8 @@ version_subminor=`echo "${VERSION}" | se
 HEXVERSION=0x`$AWK 'BEGIN { printf("%02X%02X%02X"',"$version_major","$version_minor","$version_subminor"') }'`
 AC_SUBST([HEXVERSION])
 
+AC_CHECK_HEADERS_ONCE(stdint.h inttypes.h sys/inttypes.h)
+
 dnl Check for tools needed for formatting the documentation.
 ac_aux_dir_abs=`cd $ac_aux_dir && pwd`
 AC_PATH_PROG([TEXI2DVI], [texi2dvi], [$ac_aux_dir_abs/missing texi2dvi])
